#! /bin/bash

DATE=`date +%Y%m%e%k`
INC=1

DATE=$((DATE*100 + 00))

for file in *; do
  echo ${file}  $((DATE+INC))
  touch  -a -m -t $((DATE+INC)).00 "${file}"
  INC=$((INC+1))
  if [ ${INC} == 60 ]; then
    INC=0
    DATE=$((DATE+100))
  fi
done
